## org.hibernate.internal.jaxb.mapping.orm
Class JaxbQueryHint

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbQueryHint

    public class JaxbQueryHint

extends Object

Field Summary
`protected String` `description`
`protected String` `name`
`protected String` `value`

Constructor Summary
`JaxbQueryHint()`

Method Summary
`String` `getDescription()` Gets the value of the description property.
`String` `getName()` Gets the value of the name property.
`String` `getValue()` Gets the value of the value property.
`void` `setDescription(String value)` Sets the value of the description property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### name

    protected String name

### value

    protected String value

Constructor Detail

### JaxbQueryHint

    public JaxbQueryHint()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.